import request from '@/utils/request'

// 查询主播首页推荐列表
export function listAnchorBanner(query) {
  return request({
    url: '/cai/anchorBanner/list',
    method: 'get',
    params: query
  })
}

// 查询主播首页推荐详细
export function getAnchorBanner(id) {
  return request({
    url: '/cai/anchorBanner/' + id,
    method: 'get'
  })
}

// 新增主播首页推荐
export function addAnchorBanner(data) {
  return request({
    url: '/cai/anchorBanner',
    method: 'post',
    data: data
  })
}

// 修改主播首页推荐
export function updateAnchorBanner(data) {
  return request({
    url: '/cai/anchorBanner',
    method: 'put',
    data: data
  })
}

// 删除主播首页推荐
export function delAnchorBanner(id) {
  return request({
    url: '/cai/anchorBanner/' + id,
    method: 'delete'
  })
}
